<?php
// Zieldomain für die Weiterleitung (kann bei Bedarf angepasst werden)
$redirectUrl = "https://www.google.de";

// Hole die aufgerufene Domain
$domain = $_SERVER['HTTP_HOST'];

// Ordner zur Speicherung der Logdateien
$logFolder = "logs";

// Erstelle den Ordner, falls er nicht existiert
if (!is_dir($logFolder)) {
    mkdir($logFolder, 0755, true);
}

// Datei zum Speichern der Zugriffszahlen für die aktuelle Domain
$logfile = "$logFolder/$domain.log";

// Hole die IP-Adresse des Besuchers und den Zeitstempel des Besuchs
$visitorIp = $_SERVER['REMOTE_ADDR'];
$timestamp = date("Y-m-d H:i:s");

// Speicher den Besuch in der Logdatei (eine Zeile pro Zugriff)
$logEntry = "Besuch am $timestamp von IP: $visitorIp\n";
file_put_contents($logfile, $logEntry, FILE_APPEND | LOCK_EX);

// Führe die Weiterleitung zur gewünschten Seite aus
header("Location: $redirectUrl");
exit;
?>